Kerbal Space Program - Bug #26957

Staging on spacecraft doesn't work correctly after undocking/detaching a vessel and switching to it
01/02/2021 12:24 AM - Vernor_von_Braun

Status: Need More Info Start date: 01/02/2021
Severity: Low % Done: 0%
Assignee: victorr

Category: Staging

Target version:

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When | decouple or undock a smaller spacecraft from the main vessel and switch to it, the staging doesn't work properly. Instead of
the first stage activating when | press the spacebar, the second stage activates. This usually leads to something (like an engine and
fuel) being detached before it's supposed to.

For me, this has happened when undocking a lander from an interplanetary or translunar tug or deploying a satellite from another
vessel, since that's when | would be detaching something and then switching to it.

This has been an issue for as long as | can remember.

History

#1 - 01/03/2021 01:46 AM - Vernor_von_Braun
- File Kerbal Space Program 2021-01-02 19-35-24_Trim_Trim.mp4 added

#2 - 01/03/2021 01:48 AM - Vernor_von_Braun

I've attached a video of what I'm talking about.

#3 - 01/03/2021 02:33 AM - Vernor_von_Braun

- Subject changed from Staging on spacecraft doesn't work correctly after undocking/detaching and switching to it to Staging on spacecraft doesn't
work correctly after undocking/detaching a vessel and switching to it

#4 - 01/03/2021 08:03 PM - Vernor_von_Braun
- Veersion changed from 1.10.0 to 1.11.0

#5 - 01/05/2021 03:30 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

We are unable to reproduce the issue. My thinking is that those engines on the smaller vessel were active already somehow. Could you provide a bit
more info about your setup, mods you're running, version. Maybe reproduction steps, or even better, a saved game? Thanks.

#6 - 01/06/2021 12:57 AM - Vernor_von_Braun
- File Jove_s Ardor.craft added

victorr wrote:

We are unable to reproduce the issue. My thinking is that those engines on the smaller vessel were active already somehow. Could you provide
a bit more info about your setup, mods you're running, version. Maybe reproduction steps, or even better, a saved game? Thanks.

The engines have not been activated up to that point. | regrettably had to cut out a lot of the video | had initially recorded in order for it to be small
enough to upload here. What was left out was me undocking the lander from the transfer module.

I'm using version 1.11.0, without any mods, and idk what you mean by setup.

Some info that might help is that | place all the stages for my lander after all the other stages, even parachutes on the command module.

I've added the craft file in question. To replicate the bug, get the thing into orbit, decouple the lander from everything else, switch to it, and then hit
spacebar. That's how | got a recording of it. Also make sure there's a kerbal inside do you can control it.
Files

Kerbal Space Program 2021-01-02 19-35-24_Trim_Trim.mp4 6.99 MB 01/03/2021 Vernor_von_Braun
Jove_s Ardor.craft 592 KB 01/06/2021 Vernor_von_Braun
